version: '3.8'

services:
  next-app:
    build: .
    container_name: modstagram-next
    restart: unless-stopped
    ports:
      - "3004:3000"
    environment:
      - NODE_ENV=production
      - HOST=0.0.0.0
    volumes:
      - ./:/app
      - /app/node_modules
      - /app/.next
